<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Tables and forms</title>
</head>
<body>
	<h2>HTML Entities</h2>
	<p><em>Reserved characters in HTML(e.g. &lt; or &gt;) </em></p>
<!-- define table -->
	<main>
				<section>
					<table border="1">
				<thead>
					<!-- define table row -->
					<tr>
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8377;</td>
						<td>#8377</td>
						<td>rupee symbol</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="3">List of HTML entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

	<h2>HTML Forms</h2>
	<p><em>Input elements that make up a form</em></p>
	<form action="https://google.com">
		<label for="full_name">Full Name:</label><br>
		<input type="text" name="full_name" id="full_name" required="true"><br>
		<label for="birth_date" >Birth Date:</label>
		<input type="date" name="birth_date" id="birth_date" required><br>
		<label for="age">Age:</label><br>
		<input type="number" name="age" id="age"><br>
		<label for="gender">Gender:</label>
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="female">Female</option>
		</select><br>
		<label for="notes">Notes:</label>
		<textarea name="notes" id="notes" rows="5">text</textarea><br>

		<label for="new_user">New User:</label>
		<input type="radio" name="new_user" id="type1" value="yes">
		<label for="type1">Yes</label>
		<input type="radio" name="new_user" id="type2" value="no">
		<label for="type2">No</label><br>

		<!-- checkbox -->
		<label>Role:</label><br>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label><br>
		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label><br>
		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label><br>
		
		<button type="submit">SUBMIT</button><br>
		<button type="reset">RESET</button>
	</form>
	</main>
</body>
</html>